<app-toast
  *ngFor="let item of list"
  [class]="item.getClass()"
  [autohide]="item.getAutoHide()"
  [delay]="item.getDelay()"
  (hidden)="hide(item)"
>
  <ng-template ngbToastHeader>
    <ng-template [ngIf]="item.hasHeader()">
      {{ item.getHeader() }}
    </ng-template>
    <ng-template [ngIf]="item.isHttpErrorTemplate()">
      <fa-icon width="24" height="24" role="img" [icon]="httpErrorIcon"></fa-icon>
      Http transport exception
    </ng-template>
  </ng-template>
  <ng-template [ngIf]="item.hasBody()">
      {{ item.getBody() }}
  </ng-template>
  <ng-template [ngIf]="item.isHttpErrorTemplate()">
    <table class="table table-borderless mb-0">
      <tr>
        <td>
          <div class="text-white p-0">
            <div class="fw-bold d-inline fs-6">
              Status code:
            </div>
            <div class="fw-normal d-inline">
              {{ item.getDataErrorTemplate().code }}
            </div>
          </div>
        </td>
      </tr>
      <tr>
        <td>
          <div class="text-white p-0">
            <div class="fw-bold d-inline fs-6">
              Message:
            </div>
            <div class="fw-normal d-inline">
              {{ item.getDataErrorTemplate().message }}
            </div>
          </div>
        </td>
      </tr>
      <tr>
        <td>
          <div class="text-white p-0">
            <div class="fw-bold d-inline fs-6">
              Details:
            </div>
            <div class="fw-normal d-inline text-wrap">
              {{ item.getDataErrorTemplate().details }}
            </div>
          </div>
        </td>
      </tr>
    </table>
  </ng-template>
</app-toast>
